Subject: bug#40626: Poor performance on low-end ARMv7 devices

From: Mathieu Othacehe <[email-masked]>
Date: Fri, 03 Jul 2020 09:22:48 +0200

Hello,

> Many ARM Single Board Computers are commonly used with microSD for
> storage, and some microSD cards are extremely slow (and sometimes
> unreliable when they are old).
>
> Could the performance issues be related to storage device I/Os?

For those ARMv7 devices, which have few substitutes available and not
much computation power, an approach is to work from a x86 machine and
cross-compile disk-images.

We will also have network booting supported soon, which will allow to do
the same, but without having to write an SD card.

In the meantime I would propose to close this bug, as there's not much
that can be done, I think.

Thanks,

Mathieu